# /.../
# spec file for package kiwi (Version 2.41)
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Please submit bugfixes or comments via http://bugs.opensuse.org
# ---
# needsrootforbuild
Name:          kiwi-images
BuildRequires: libxml2
%if %{suse_version} > 1020
BuildRequires:  fdupes
%endif
Summary:       OpenSuSE - KIWI Image Descriptions
Version:       2.41
Release:       26.2
Group:         System
License:       GPL
Source:        kiwi-images.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-build
ExcludeArch:   ia64 ppc64 s390x s390 ppc
BuildArchitectures: noarch
%define build_preload 0

%description
This package contains a collection of - KIWI Image Descriptions

Authors:
--------
    Marcus Schäfer <ms@suse.de>

%package -n kiwi-desc-wyse
Requires:     kiwi >= 2.42
Requires:     smart kiwi-desc-netboot kiwi-desc-isoboot
Summary:      OpenSuSE - KIWI image descriptions
Group:        System

%description -n kiwi-desc-wyse
This package contains the OpenSuSE - KIWI image descriptions.
Each image description exists in a single directory and contains
a thin client description for Wyse terminals

Authors:
--------
    Marcus Schäfer <ms@suse.de>

%package -n kiwi-desc-buildservice
Requires:     kiwi >= 2.42
Requires:     smart kiwi-desc-netboot
Summary:      OpenSuSE - KIWI image descriptions
Group:        System

%description -n kiwi-desc-buildservice
This package contains the OpenSuSE - KIWI image descriptions.
Each image description exists in a single directory and contains
a buildservice description for a package building client

Authors:
--------
    Marcus Schäfer <ms@suse.de>

%if %{build_preload}
%package -n kiwi-desc-preload
Requires:     kiwi >= 2.42
Requires:     smart kiwi-desc-oemboot
Summary:      OpenSuSE - KIWI image descriptions
Group:        System

%description -n kiwi-desc-preload
This package contains the OpenSuSE - KIWI image descriptions.
Each image description exists in a single directory and contains
a preload description for setting up a predefined operating
system 

Authors:
--------
    Marcus Schäfer <ms@suse.de>
%endif


%package -n kiwi-desc-misc
Requires:     kiwi >= 2.42
Requires:     kiwi-desc-oemboot kiwi-desc-vmxboot smart
Summary:      OpenSuSE - KIWI image descriptions
Group:        System

%description -n kiwi-desc-misc
This package contains the OpenSuSE - KIWI image descriptions.
Each image description exists in a single directory and contains
example image descriptions

Authors:
--------
    Marcus Schäfer <ms@suse.de>

%prep
%setup -n kiwi-images
# %patch

%build 
test -e /.buildenv && . /.buildenv
make buildroot=$RPM_BUILD_ROOT

%install
make buildroot=$RPM_BUILD_ROOT \
     doc_prefix=$RPM_BUILD_ROOT/%{_defaultdocdir} \
     man_prefix=$RPM_BUILD_ROOT/%{_mandir} \
     install
rm -rf $RPM_BUILD_ROOT/usr/share/kiwi/image/README
%if ! %{build_preload}
rm -rf $RPM_BUILD_ROOT/usr/share/kiwi/image/lenovo-suse-SLED10-SP1
%endif
rm -rf $RPM_BUILD_ROOT/usr/share/kiwi/image/LimeJeOS
%if %{suse_version} > 1020
%fdupes $RPM_BUILD_ROOT/usr/share/kiwi/image
%endif

%clean
rm -rf $RPM_BUILD_ROOT

#=================================================
# KIWI files...      
#-------------------------------------------------
%files -n kiwi-desc-wyse
%defattr(-, root, root)
%dir %{_datadir}/kiwi
%dir %{_datadir}/kiwi/image
%{_datadir}/kiwi/image/wyseGhost-suse-SLED10
%{_datadir}/kiwi/image/wyseGhost-suse-10.3
%{_datadir}/kiwi/image/wyseXMini-suse-SLED10
%{_datadir}/kiwi/image/wyseXMini-suse-10.3
%{_datadir}/kiwi/image/wyseXMini-suse-11.0

%files -n kiwi-desc-buildservice
%defattr(-, root, root)
%dir %{_datadir}/kiwi
%dir %{_datadir}/kiwi/image
%{_datadir}/kiwi/image/buildhost-suse-SLES10

%if %{build_preload}
%files -n kiwi-desc-preload
%defattr(-, root, root)
%dir %{_datadir}/kiwi
%dir %{_datadir}/kiwi/image
%{_datadir}/kiwi/image/lenovo-suse-SLED10-SP1
%endif

%files -n kiwi-desc-misc
%defattr(-, root, root)
%dir %{_datadir}/kiwi
%dir %{_datadir}/kiwi/image
%{_datadir}/kiwi/image/ctso-suse-*
%{_datadir}/kiwi/image/ctso-minimal-*

%changelog
* Tue Jul  8 2008 ms@suse.de
- v2.41
- update XML to new kiwi scheme version 2.4
- added make check target in Makefile
* Wed Jun 18 2008 ms@suse.de
- v2.40
- adapt images due to .profile changes
- adapt images due to generic SLE boot description
- adapt spec file to required kiwi >= 2.42
* Fri Mar  7 2008 ms@suse.de
- v1.62
- add bootprofiles in lenovo and buildhost descriptions
* Thu Mar  6 2008 ms@suse.de
- v1.61
- added split section for ctso minimal image
- update of suse-11.0 liveCD description
* Fri Feb 29 2008 ms@suse.de
- v1.60
- adapt image descriptions to new schema version v2.0
* Thu Feb 14 2008 ms@suse.de
- v1.59
- added split section for new compressed iso type to the suse 11.0
  liveCD description. The old flags="compressed" type uses a fixed set
  of read-only paths whereas the rest was set to read-write. This is
  rather inflexible and doesn't allow to specify write access on a per
  file basis The split system allows to set the write parts in a split
  section. If you think the current split section doesn't include enough
  read/write information just add the missing parts as required
* Fri Feb  8 2008 ms@suse.de
- v1.58
- added wyse XMini 11.0 description
* Mon Jan 21 2008 ms@suse.de
- v1.57
- added ctso sled image for testing purposes
* Tue Jan  8 2008 ms@suse.de
- v1.56
- added support for RECONFIGURE handling in create_xconf (#352077)
* Mon Dec 17 2007 ms@suse.de
- v1.55
- added ctso-minimal-suse-10.3 image description (#348735)
* Tue Dec 11 2007 ms@suse.de
- v1.54
- Brian Hardbarger requested removal of preload image description.
* Tue Dec  4 2007 ms@suse.de
- v1.53
- added lenovo preload image description
* Wed Nov 14 2007 ms@suse.de
- v1.52
- added usb type to ctso-suse-10.3 image
- update package to current state of the live CD description
* Wed Oct 24 2007 ms@suse.de
- v1.51
- removed SLED10 ctso image description
- provided SLES10 ctso image description, standard SLES image
- provided 10.3 ctso image description, standard 10.3 image
- moved package kiwi-desc-ctso to kiwi-desc-misc
* Wed Oct 24 2007 ms@suse.de
- v1.50
- removed preload image and package. Comment from cthiel@novell.com
  Let's remove it. We decided to go for the internal one, since we started
  having license files etc. included that we didn't feel were something to be
  put out to the public
* Mon Oct 15 2007 ms@suse.de
- v1.49
- fixed type boot parameter of buildhost image
- changed ctso-suse-SLES10 image from patterns to package list
* Thu Oct 11 2007 ms@suse.de
- v1.48
- changed to SP1 repository for wyse images
* Wed Oct 10 2007 ms@suse.de
- v1.47
- fixed wyse mini image for 10.3
* Tue Oct  9 2007 ms@suse.de
- v1.46
- added bootsplash theme package to ctso test image
- removed boot.proc patch
* Mon Oct  8 2007 ms@suse.de
- v1.45
- added /etc/sysconfig/bootplash to be sourced in boot.proc
- added bootsplash package to ctso test image
* Mon Oct  8 2007 ms@suse.de
- v1.44
- added bootloader and bootsplash files to ctso test image
* Fri Oct  5 2007 ms@suse.de
- v1.43
- added iso type to ctso-suse-10.3
- use public source for ctso-suse-10.3
* Tue Oct  2 2007 ms@suse.de
- v1.42
- added kiwi-desc-ctso package, for CTSO team
* Mon Oct  1 2007 ms@suse.de
- v1.41
- fixed requirements of buildservice package (#329588)
* Tue Sep 18 2007 ms@suse.de
- v1.40
- make it build again with the current live CD descriptions
  from Stephan Binner and Stephan Kulow
* Fri Aug 24 2007 ms@suse.de
- v1.39
- added mandatory schemversion="1.4" attribute
* Fri Aug 24 2007 ms@suse.de
- v1.38
- fixed service loop in live DVD
* Wed Aug 22 2007 ms@suse.de
- v1.37
- deactivate boot.rootfsck for liveDVD
* Tue Aug 21 2007 ms@suse.de
- v1.36
- ignore package kino for liveDVD suse 10.3
* Fri Jul 27 2007 ms@suse.de
- v1.35
- added preload-suse-SLED10 image
* Fri Jul 20 2007 ms@suse.de
- v1.34
- fixed requirements for kiwi-desc-livesystem (#289552)
* Wed Jul  4 2007 ms@suse.de
- v1.33
- enable build for kiwi-desc-livesystem for >= 10.3. This is
  because we need aufs and squashfs which doesn't exist on older
  versions (#289552)
- added kiwi-desc-xennetboot requirement to the buildservice
  image description (#289552)
* Mon Jul  2 2007 ms@suse.de
- v1.32
- added vmware target to live DVD for 10.3
* Wed Jun 13 2007 ms@suse.de
- v1.31
- added usb type to live media description
- moved wyse sles image name to sled image name
* Fri Jun  8 2007 ms@suse.de
- v1.30
- update 10.3 live DVD description
- changed wyse image naming from fidelity to wyse
* Wed Jun  6 2007 ms@suse.de
- v1.29
- update /etc/hosts for buildhost images
* Tue May 29 2007 ms@suse.de
- v1.28
- added wyse image for 10.3 on 128MB with X+icewm+firefox and
  sound enabled and working *yeah* :-)
* Sat May 19 2007 ms@suse.de
- v1.27
- use required and suggested as base for the live CD
* Wed May 16 2007 ms@suse.de
- v1.26
- added wyseXMini-suse-10.3 description with X + xdm + icewm-lite
  and firefox in 121 MB
* Fri May 11 2007 ms@suse.de
- v1.25
- changed config.xml files to validate with scheme version 1.3
- removed multipath and device-mapper services from buildhost
  livedvd and wyse (10.3) images
* Wed Apr  4 2007 ms@suse.de
- create kiwi-images package
* Tue Apr  3 2007 ms@suse.de
- v1.24
- image description splitted from head code
